error in branch_accounting_report module (#1,793)
Status: OPEN
Date: 16/07/2021
ID: 1,793
S/O number: SO2021/1484064
Reviewer: Hiral Bhatt
Module Name: branch_accounting_report
Version: 14.0
Tags:

Assigned to
Contact
Ujjaval Patel
ujjavalpatel@browseinfo.in
Reported by
Contact
sporter@summertech.com.au
sporter@summertech.com.au

Description
Odoo Server Error

Traceback (most recent call last):

File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

result = request.dispatch()

File "/home/odoo/src/odoo/odoo/http.py", line 683, in dispatch

result = self._call_function(**self.params)

File "/home/odoo/src/odoo/odoo/http.py", line 359, in _call_function

return checked_call(self.db, *args, **kwargs)

File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper

return f(dbname, *args, **kwargs)

File "/home/odoo/src/odoo/odoo/http.py", line 347, in checked_call

result = self.endpoint(*a, **kw)

File "/home/odoo/src/odoo/odoo/http.py", line 912, in __call__

return self.method(*args, **kw)

File "/home/odoo/src/odoo/odoo/http.py", line 531, in response_wrap

response = f(*args, **kw)

File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1389, in call_kw

return self._call_kw(model, method, args, kwargs)

File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1381, in _call_kw

return call_kw(request.env[model], method, args, kwargs)

File "/home/odoo/src/odoo/odoo/api.py", line 396, in call_kw

result = _call_kw_multi(method, model, args, kwargs)

File "/home/odoo/src/odoo/odoo/api.py", line 383, in _call_kw_multi

result = method(recs, *args, **kwargs)

File "/home/odoo/src/user/branch_accounting_report/models/inherited_account_reports.py", line 41, in get_report_informations

info = super(AccountReport, self).get_report_informations(options)

File "/home/odoo/src/enterprise/account_reports/models/account_report.py", line 1162, in get_report_informations

'main_html': self.get_html(options),

File "/home/odoo/src/enterprise/account_reports/models/account_report.py", line 1200, in get_html

headers, lines = self._get_table(options)

File "/home/odoo/src/enterprise/account_reports_cash_basis/models/account_report.py", line 139, in _get_table

return super()._get_table(options)

File "/home/odoo/src/enterprise/account_reports/models/account_financial_report.py", line 589, in _get_table

formula_solver.fetch_lines(financial_lines)

File "/home/odoo/src/enterprise/account_reports/models/formula.py", line 278, in fetch_lines

self._prefetch_line(financial_line)

File "/home/odoo/src/enterprise/account_reports/models/formula.py", line 231, in _prefetch_line

LeafResolver(self, financial_line).visit(ast.parse(financial_line.formulas))

File "/usr/lib/python3.8/ast.py", line 371, in visit

return visitor(node)

File "/usr/lib/python3.8/ast.py", line 447, in generic_visit

value = self.visit(value)

File "/usr/lib/python3.8/ast.py", line 371, in visit

return visitor(node)

File "/usr/lib/python3.8/ast.py", line 456, in generic_visit

new_node = self.visit(old_value)

File "/usr/lib/python3.8/ast.py", line 371, in visit

return visitor(node)

File "/usr/lib/python3.8/ast.py", line 456, in generic_visit

new_node = self.visit(old_value)

File "/usr/lib/python3.8/ast.py", line 371, in visit

return visitor(node)

File "/home/odoo/src/enterprise/account_reports/models/formula.py", line 216, in visit_Name

self.solver._get_amls_results(self.financial_line)

File "/home/odoo/src/enterprise/account_reports/models/formula.py", line 166, in _get_amls_results

results = financial_line._compute_sum(self.options_list, self.financial_report)

Exception



The above exception was the direct cause of the following exception:



Traceback (most recent call last):

File "/home/odoo/src/odoo/odoo/http.py", line 639, in _handle_exception

return super(JsonRequest, self)._handle_exception(exception)

File "/home/odoo/src/odoo/odoo/http.py", line 315, in _handle_exception

raise exception.with_traceback(None) from new_cause

TypeError: _compute_sum() takes 2 positional arguments but 3 were given





Same error for any report that calls

inherited_account_reports.py", line 41, in get_report_informations:

info = super(AccountReport, self).get_report_informations(options)

Message and communication history